import os, os.path
from conf import *

Import('conf vars')

vars.add(('FSL_BIN', 'Base directory for FSL binaries.', ''))

def defaultFSL(name):
    base = conf.env['FSL_BIN']
    path = conf.env['ENV']['PATH'].split(':')

    if base == '':
        return name
    else:
        return os.path.join(conf.env['FSL_BIN'], name)

vars.add(('FSL_FAST', 'Command to run FSL\'s FAST.', defaultFSL('fast')))
vars.add(('FSL_MATHS', 'Command to run FSL\'s mathematics tool.', defaultFSL('fslmaths')))

# TODO: testing
