
basic_source_file = """
int main(int argc, char **argv)
{
  return 0;
}
"""

def CheckCFlag(context, flag):
  context.Message('Checking compiler for %s flag... ' % flag)

  old_cflags = context.env['CFLAGS']

  try:
      context.env.Append(CFLAGS = [flag])
  
      result = context.TryCompile(basic_source_file, '.c')
      context.Result(result)

  finally:
      context.env['CFLAGS'] = old_cflags

  return result

def generate(conf):
  conf.AddTest('CheckCFlag', CheckCFlag)
