#ifndef __BSPLINE_H__
#define __BSPLINE_H__

#include "path.h"

typedef struct bspline bspline_t;

bspline_t *bspline_create(path_t *control_points, int order);
void bspline_destroy(bspline_t *);

// Accessors
int bspline_dim(bspline_t *);

// Calculation
void bspline_calculate(bspline_t *, double t, point_t out);
path_t *bspline_calculate_path(bspline_t *, int N);

#endif // #ifndef __BSPLINE_H__
