#ifndef __GRID_VECTORS_H__
#define __GRID_VECTORS_H__

#include "point.h"

typedef struct grid_vector_set grid_vector_set_t;

grid_vector_set_t *grid_vector_set(int dim, length_t delta, length_t dist);
void grid_vector_set_destroy(grid_vector_set_t *);

int grid_vector_set_dim(grid_vector_set_t *);
int grid_vector_set_pair_count(grid_vector_set_t *);
void grid_vector_set_get(grid_vector_set_t *, int i, point_t v[2]);


#endif // #ifndef __GRID_VECTORS_H__
