#ifndef __MIN_SPLINE_WEIGHT_H__
#define __MIN_SPLINE_WEIGHT_H__

#include "splines/min_combined.h"
#include "weights.h"

// TODO: belongs in spline package?

// Struct to be passed as closure data to min_spline_weight
typedef struct min_spline_weight_options min_spline_weight_options_t;
struct min_spline_weight_options {
  minimize_combined_options_t spline_options;

  double sigma;
	int expectation_samples;
};

void min_spline_weight_options_default(min_spline_weight_options_t *);

double min_spline_weight(weight_options_t *, point_t points[3], tensor_t tensors[3]);

#endif // #ifndef __MIN_SPLINE_WEIGHT_H__
