#ifndef __MONTE_CARLO_H__
#define __MONTE_CARLO_H__

// Monte carlo integration over an ND box
double integrate_monte_carlo(
  int dim,
  double (*f)(void *closure_data, double *x),
  double *min, double *max,
  int samples,
  void *closure_data);

#endif // #ifndef __MONTE_CARLO_H__
