#ifndef __OPTIMIZE_CPLEX_H__
#define __OPTIMIZE_CPLEX_H__

#include "line_graph.h"
#include "optimize.h"

// Note: caller must free result
line_graph_t *optimal_contours_cplex(optimize_options_t *, line_graph_t *, mask_t *endpoints);

optimize_solution_t *optimize_cplex(optimize_options_t *opts, optimize_problem_t *prob);

#endif // #ifndef __OPTIMIZE_CPLEX_H__
