#ifndef __OPTIMIZE_INTERNAL_H__
#define __OPTIMIZE_INTERNAL_H__

#include "flat_line_graph.h"
#include "optimize.h"

size_t optimize_constraints_nnz(optimize_options_t *opts, line_graph_t *G, flat_line_graph_t *FG, mask_t *endpoints);

void optimize_model_unhandled(optimize_options_t *opts);


optimize_solution_t *optimize_solution_create(optimize_problem_t *prob);

#endif // #ifndef __OPTIMIZE_INTERNAL_H__
