#ifndef __SPARSITY_QP_H__
#define __SPARSITY_QP_H__

#include "optimize.h"
#include "line_graph.h"

typedef struct {
	double lambda, mu;
} sparsity_qp_params;

line_graph_t *sparsity_qp(
  optimize_options_t *opts,
	line_graph_t *L, const sparsity_qp_params_t *params);

#endif // #ifndef __SPARSITY_QP_H__
