#ifndef __TENSOR_INTERNAL_H__
#define __TENSOR_INTERNAL_H__

#include "tensor.h"
#include "tensor_eigens.h"

// Tensors, symmetric matrices stored in packed lower-triangular order
struct tensor {
  int dim;
	int eigens_updated;
};

static inline tensor_elt_t *tensor_data(tensor_t *T)
{
	return (tensor_elt_t *)((intptr_t)T + sizeof(tensor_t));
}

#endif // #ifndef __TENSOR_INTERNAL_H__
