#ifndef __DRAW_CAIRO_H__
#define __DRAW_CAIRO_H__

#include "tensor_field.h"
#include "line_graph.h"
#include "draw.h"
#include "context.h"

#include <cairo.h>

draw_context_t *draw_context_cairo(
  cairo_surface_t *surface,
	int width, int height,
	point_t min, point_t max);

void draw_cairo(
  cairo_surface_t *suface, int width, int height,
  const draw_options_t *,
  tensor_field_t *, line_graph_t *, bundle_t *);

#endif // #ifndef __DRAW_CAIRO_H__
