#include "eigs.h"

// TODO: this is all now completely unnecessary

tensor_eigens_t **tensor_field_eigens(tensor_field_t *tf)
{
  int dim, i, n;
  tensor_eigens_t **eigs;
  tensor_t *T;

  n = tensor_field_count(tf);
  dim = tensor_field_dim(tf);

  // Allocations
  eigs = malloc(n * sizeof(tensor_eigens_t *));

  for(i = 0; i < n; i++) {
    T = tensor_field_tensor(tf, i);
    eigs[i] = tensor_eigens_get(T);
  }

  return eigs;
}

void tensor_field_eigens_cleanup(tensor_field_t *tf, tensor_eigens_t **eigs)
{
  free(eigs);
}
