#ifndef __MIN_TC_H__
#define __MIN_TC_H__

#include "spline.h"
#include "min_spline.h"

typedef struct minimize_TC_options  minimize_TC_options_t;
struct  minimize_TC_options {
	minimize_options_t minimization_options;
	int max_integration_intervals;

	double TC_power;
};

extern const minimize_TC_options_t minimize_TC_options_default;

double spline_magnitudes_min_TC(spline_t *s, minimize_TC_options_t *opts);

#endif // #ifndef __MIN_TC_H__
