from conf import *

Import('conf vars')

vars.add(BoolVariable('WITH_GLPK', 'Use GLPK for optimization', True))

if vars['WITH_GLPK']:
    require.LibWithHeader(conf, 'glpk', 'glpk.h')

    conf.env.AppendUnique(LIBS = ['glpk'])
    conf.env.AppendUnique(CPPDEFINES = ['WITH_GLPK'])
