# More rigorous warnigns

Import('conf')

warnings = ['implicit',
            'format',
            'missing-braces',
            'parentheses',
            'redundant-decls',
            'bad-function-cast',
            'uninitialized',
            'return-type',
            'ignored-qualifiers']

print 'warnings...'

# Adding additional warnings
for warning in warnings:
    flag = '-W' + warning
    
    if conf.CheckCFlag(flag):
        conf.env.AppendUnique(CFLAGS = [flag])

# Set warnings to errors
if conf.CheckCFlag('-Werror'):
    conf.env.AppendUnique(CFLAGS = ['-Werror'])
