def CheckTarTransform(context):
    context.Message('Checking %s for --transform flag... ' % context.env['TAR'])

    old_tar_flags = context.env['TARFLAGS']

    try:
        context.env.Append(TARFLAGS = ['--transform', 's,^,prefix,'])

        result = context.TryBuild(context.env.Tar, ' ')
        context.Result(result)

    finally:
        context.env['TARFLAGS'] = old_tar_flags

    return result

def generate(conf):
    conf.AddTest('CheckTarTransform', CheckTarTransform)
