from SCons.Script import *

def CHeader(conf, header):
    if not conf.CheckCHeader(header):
        print('%s must be available' % header)
        Exit(1)

def CXXHeader(conf, header):
    if not conf.CheckCXXHeader(header):
        print('%s must be available' % header)
        Exit(1)

def Lib(conf, lib):
    if not conf.CheckLib(lib):
        print('%s library must be available' % lib)
        Exit(1)

def LibWithHeader(conf, lib, header, language = 'c'):
    if not conf.CheckLibWithHeader(lib, header, language):
        print('%s library and %s must be available' % (lib, header))
        Exit(1)
