import os, os.path
from component import Component

class Target(Component):
    def __init__(self, env,
                 internal = False,
                 dir = '.',
                 **kwargs):

        Component.__init__(self, env, **kwargs)

        self.internal = internal
        self.dir = env.Dir(dir)

    def target(self):
        return os.path.join(str(self.dir), self.targetBasename())

    def __str__(self):
        return self.target()

    def __repr__(self):
        return self.target()
