#ifndef __BENT_WEIGHT_H__
#define __BENT_WEIGHT_H__

#include "weights.h"

// Struct to be passed as closure data to bent_weight
typedef struct bent_weight_options bent_weight_options_t;
struct bent_weight_options {
	double angle_weight;
	double sigma;

	int expectation_samples;
};

extern const bent_weight_options_t bent_weight_options_defaults;

double bent_weight(int dim, weight_options_t *, point_t points[3], tensor_t *tensors[3]);
double bent_weight_expectation(int dim, weight_options_t *, point_t points[3], tensor_t *tensors[3]);

#endif // #ifndef __BENT_WEIGHT_H__
