#ifndef __NEIGHBORHOOD_H__
#define __NEIGHBORHOOD_H__

#include "point.h"
#include "graph.h"

graph_t *graph_create_from_neighborhoods(
  int dim, int point_count,
	point_t (*get_point)(void *closure_data, int i), void *closure_data,
  double neighborhood_distance);

#endif // #ifndef __NEIGHBORHOOD_H__
