#ifndef __IMAGE_IO_H__
#define __IMAGE_IO_H__

#include "rgb.h"

image_rgb_t *image_rgb_load(const char *filename);
void image_rgb_write(const char *filename, image_rgb_t *);

#include "grey.h"

image_grey_t *image_grey_load(const char *filename);
void image_grey_write(const char *filename, image_grey_t *);

#include "float.h"

image_float_t *image_float_load(const char *filename);
void image_float_write(const char *filename, image_float_t *);

#include "binary.h"

void image_binary_write(const char *filename, image_binary_t *);


#endif // #ifndef __IMAGE_IO_H__
