#include "context_internal.h"

void draw_context_push_transform(draw_context_t *c)
{
	(*c->vtable->push_transform)(c);
}

void draw_context_pop_transform(draw_context_t *c)
{
	(*c->vtable->pop_transform)(c);
}

void draw_context_scale_symm(draw_context_t *c, coord_t s)
{
	(*c->vtable->scale_symm)(c, s);
}

void draw_context_scale(draw_context_t *c, point_t s)
{
	(*c->vtable->scale)(c, s);
}

void draw_context_translate(draw_context_t *c, point_t t)
{
	(*c->vtable->translate)(c, t);
}

void draw_context_rotate2(draw_context_t *c, angle_t theta)
{
	(*c->vtable->rotate2)(c, theta);
}

void draw_context_circle(draw_context_t *c)
{
	(*c->vtable->circle)(c);
}

void draw_context_line_begin(draw_context_t *c, point_t p)
{
	(*c->vtable->line_begin)(c, p);
}

void draw_context_line_add(draw_context_t *c, point_t p)
{
	(*c->vtable->line_add)(c, p);
}

void draw_context_line_end(draw_context_t *c)
{
	(*c->vtable->line_end)(c);
}

void draw_context_color(draw_context_t *c, float r, float g, float b)
{
	(*c->vtable->color)(c, r, g, b);
}

void draw_context_color_alpha(draw_context_t *c, float r, float g, float b, float a)
{
	(*c->vtable->color_alpha)(c, r, g, b, a);
}

void draw_context_line_width(draw_context_t *c, float w)
{
	(*c->vtable->line_width)(c, w);
}

void draw_context_finish(draw_context_t *c)
{
	(*c->vtable->finish)(c);
}
