#ifndef __CURRENT_SPLINE_H__
#define __CURRENT_SPLINE_H__

#include "spline.h"

spline_t *current_spline();

int current_spline_path_count();
int current_spline_dim();

param_t current_spline_t(int i);
point_t current_spline_point(int i);
int current_spline_closest(point_t x);

curvature_t current_spline_TC();

extern int spline_changed;


extern int closest_point;
void current_spline_refresh();

void current_spline_to_2d();
void current_spline_to_3d();
void current_spline_to_toggle_dim();

#endif // #ifndef __CURRENT_SPLINE_H__
