#ifndef __MIN_ARC_LENGTH_H__
#define __MIN_ARC_LENGTH_H__

#include "min_spline.h"

typedef struct minimize_arc_length_options  minimize_arc_length_options_t;
struct  minimize_arc_length_options {
	minimize_options_t minimization_options;

	int max_integration_intervals;
	double arc_length_power;
};

extern const minimize_arc_length_options_t minimize_arc_length_options_default;

double spline_magnitudes_min_arc_length(spline_t *s, minimize_arc_length_options_t *opts);

#endif // #ifndef __MIN_ARC_LENGTH_H__
