#ifndef __MIN_COMBINED_H__
#define __MIN_COMBINED_H__

#include "min_spline.h"

typedef struct minimize_combined_options  minimize_combined_options_t;
struct  minimize_combined_options {
	minimize_options_t minimization_options;

	int max_integration_intervals;

	double TC_power;
  double arc_length_power;

  double curvature_factor;
};

extern const minimize_combined_options_t minimize_combined_options_default;

double min_combined_objective(spline_t *, minimize_combined_options_t *options);
double spline_magnitudes_min_combined(spline_t *s, minimize_combined_options_t *opts);

#endif // #ifndef __MIN_COMBINED_H__
