#ifndef __UTIL_H__
#define __UTIL_H__

static inline int isquare(int x)
{
  return x * x;
}

static inline double square(double x)
{
	return x * x;
}

static inline int icube(int x)
{
	return x * x * x;
}

static inline double cube(double x)
{
	return x * x * x;
}

static inline int iceil(double x)
{
  double c;

  c = ceil(x);

  return (int)c;
}

#ifndef MAX
#define MAX(a, b) ((a) > (b) ? (a) : (b))
#endif

#ifndef MIN
#define MIN(a, b) ((a) < (b) ? (a) : (b))
#endif

// Uniform random sampling
static inline double frand(double a, double b)
{
  return rand() * (b - a) / RAND_MAX + a;
}

#ifndef INFINITY
#define INFINITY (1.0/0.0)
#endif

#endif // #ifndef __UTIL_H__
