#include "format.h"

char *strformat(const char *format, ...)
{
	va_list args;
	char *s;
	int n, m;


	// Find formatted string length
	va_start(args, format);
	n = vsnprintf(NULL, 0, format, args);
	va_end(args);

	// Allocate
	s = (char *)malloc(n + 1);

	// Format
	va_start(args, format);
	m = vsnprintf(s, n+1, format, args);
	va_end(args);

	return s;
}
