#ifndef __GL_TEMPLATES_HH__
#define __GL_TEMPLATES_HH__

#include <GL/gl.h>

namespace glt
{
  template<class T>
  inline void vertex2(T x, T y)
  {
    // TODO: break
  }

  template<>
  inline void vertex2(float x, float y)
  {
    glVertex2f(x, y);
  }

  template<>
  inline void vertex2(double x, double y)
  {
    glVertex2d(x, y);
  }

  template<class T>
  inline void vertex3(T x, T y, T z)
  {
    // TODO: break
  }

  template<>
  void vertex3(float x, float y, float z)
  {
    glVertex3f(x, y, z);
  }

  template<>
  void vertex3(double x, double y, double z)
  {
    glVertex3d(x, y, z);
  }

  template<class T>
  inline void translate(T x, T y, T z)
  {
    // TODO: break
  }

  template<>
  inline void translate(float x, float y, float z)
  {
    glTranslatef(x, y, z);
  }

  template<>
  inline void translate(double x, double y, double z)
  {
    glTranslated(x, y, z);
  }

  template<class T>
  inline void rotate(T angle, T x, T y, T z)
  {
    // TODO: break
  }

  template<>
  inline void rotate(float angle, float x, float y, float z)
  {
    glRotatef(angle, x, y, z);
  }

  template<>
  inline void rotate(double angle, double x, double y, double z)
  {
    glRotated(angle, x, y, z);
  }

  template<class T>
  inline void scale(T x, T y, T z)
  {
    // TODO: break
  }

  template<>
  inline void scale(float x, float y, float z)
  {
    glScalef(x, y, z);
  }

  template<>
  inline void scale(double x, double y, double z)
  {
    glScaled(x, y, z);
  }
}

#endif // #ifndef __GL_TEMPLATES_HH__
